LOCALEDEF(1)

BEZEICHNUNG
localedef - kompiliert Locale-Definitionsdateien

ÜBERSICHT
localedef [Optionen] Ausgabepfad
localedef --add-to-archive [Optionen] Kompilatspfad
localedef --delete-from-archive [Optionen] Locale-Name …
localedef --list-archive [Optionen]
localedef --help
localedef --usage
localedef --version

BESCHREIBUNG
Das Programm localedef liest die angegebenen Zeichenbelegungs- und Eingabe-Dateien, kompiliert sie in eine Binärform, die von den Locale-Funktionen der C-Bibliothek (setlocale(3), localeconv(3) usw.) schnell lesbar ist und schreibt die Ausgabe in den Ausgabepfad. Zur Begriffsdefinition einer Locale siehe die Einleitung zu locale(7).

Das Argument Ausgabepfad wird wie folgt umgesetzt:

*   Falls der Ausgabepfad einen Schrägstrich enthält (»/«), wird er als Name des Verzeichnisses interpretiert, wo die ausgegebenen Definitionen gespeichert werden sollen. In diesem Falle gibt es für jede Locale-Kategorie eine eigene Ausgabedatei (LC_TIME, LC_NUMERIC und so weiter).

*   Falls die Option --no-archive gesetzt ist, ist der Ausgabepfad der Name eines Unterverzeichnisses in /usr/lib/locale, wohin kategorieweise kompilierte Dateien geschrieben werden.

*   Ansonsten ist der Ausgabepfad der Name einer Locale und die kompilierten Locale-Daten werden der Archivdatei /usr/lib/locale/locale-archive hinzugefügt. Eine Locale-Archivdatei ist eine Speicherzuordungsdatei, die alle vom System bereitgestellten Locales enthält; sie wird benutzt, wenn die Umgebungsvariable LOCPATH nicht gesetzt ist.

In jedem Falle bricht localedef ab, falls das Verzeichnis, in das es zu schreiben versucht, noch nicht erzeugt wurde.

Falls keine Zeichenbelegungsdatei angegeben ist, wird standardmäßig der Wert ANSI_X3.4-1968 verwandt. Falls keine Eingabedatei angegeben ist oder sie mit einem Bindestrich (-) bezeichnet wird, liest localedef von der Standardeingebe.

OPTIONEN

  Optionen zur Aktionsauswahl
Einige Optionen lassen localedef etwas anderes tun als Locale-Definitionen zu kompilieren. Pro Aufruf sollte nur eine von diesen verwandt werden.

--add-to-archive
    Fügt die Verzeichnisse unter dem angegebenen Kompilatspfad der Locale-Archivdatei hinzu. Die Verzeichnisse sollten durch einen vorherigen Aufruf von localedef mit --no-archive erzeugt worden sein.

--delete-from-archive
    Löscht die angegebenen Locales aus der Locale-Archivdatei.

--list-archive
    Listet die Locales auf, die in der Locale-Archivdatei enthalten sind.

  Andere Optionen
Einige der folgenden Optionen sind nur für bestimmte Aktionen sinnvoll, es sollte offensichtlich sein, für welche. Beachten Sie, dass -f und -c das Gegenteil von dem sind, was Sie erwarten könnten, das heißt, -f ist nicht dasselbe wie --force.

-f Zeichenbelegungsdatei, --charmap=Zeichenbelegungsdatei
    Gibt die Datei an, welche die Zeichensatzbelegung definiert, die von der Eingabedatei verwandt wird. Falls die Zeichenbelegungsdatei einen Schrägstrich (»/«) enthält, wird sie als Dateiname der Zeichenbelegung interpretiert. Ansonsten wird die Datei im aktuellen Verzeichnis und im standardmäßigen Verzeichnis für Zeichenbelegungen gesucht. Falls die Umgebungsvariable I18NPATH gesetzt ist, werden auch $I18NPATH/charmaps/ und $I18NPATH/ nach dem aktuellen Verzeichnis durchsucht. Das standardmäßige Verzeichnis für Zeichenbelegungen wird durch localedef --help ausgegeben.

-i Eingabedatei, --inputfile=Eingabedatei
    Gibt die Locale-Definitionsdatei an, die kompiliert werden soll. Die Datei wird im aktuellen Verzeichnis und im standardmäßigen Verzeichnis für Locale-Definitionsdateien gesucht. Falls die Umgebungsvariable I18NPATH gesetzt ist, werden auch $I18NPATH/locales/ und $I18NPATH/ nach dem aktuellen Verzeichnis durchsucht. Das standardmäßige Verzeichnis für Locale-Definitionsdateien wird durch localedef --help ausgegeben.

-u Vorratsdatei, --repertoire-map=Vorratsdatei
    Liest Zuordnungen von symbolischen Namen zu Unicode-Code-Punkten aus der Vorratsdatei. Falls die Vorratsdatei einen Schrägstrich enthält (»/«), wird sie als Pfadname der Vorratszuordnung interpretiert. Ansonsten wird die Datei im aktuellen Verzeichnis und im standardmäßigen Verzeichnis für Vorratsabbildungen gesucht. Falls die Umgebungsvariable I18NPATH gesetzt ist, werden auch $I18NPATH/repertoiremaps/ und $I18NPATH/ nach dem aktuellen Verzeichnis durchsucht. Das standardmäßige Verzeichnis für Vorratabbildungen wird durch localedef --help ausgegeben.

-A Aliasdatei, --alias-file=Aliasdatei
    Benutzt Aliasdatei, um Aliase für Locale-Namen nachzuschlagen. Es gibt keine standardmäßige Aliasdatei.

-c, --force
    Schreibt die Ausgabedateien selbst dann, falls Warnungen zu den Eingabedateien erzeugt wurden.

-v, --verbose
    Erzeugt zusätzliche Warnungen zu Fehlern, die normalerweise ignoriert werden.

--big-endian
    Erzeugt die Big-Endian-Bytereihenfolge für die Ausgabe.

--little-endian
    Erzeugt die Little-Endian-Bytereihenfolge für die Ausgabe.

--no-archive
    Verwendet die Locale-Archivdatei nicht, sondern erzeugt stattdessen den Ausgabepfad als Unterverzeichnis im selben Verzeichnis wie die Locale-Archivdatei und darin getrennte Ausgabedateien für jede Locale-Kategorie. Dies ist hilfreich, um zu vermeiden, dass Systemaktualisierungen des Locale-Archivs angepasste Locales überschreiben, die mit localedef erzeugt wurden.

--no-hard-links
    Erstellt keine harten Links zwischen den installierten Locales.

--no-warnings=Warnungen
    Listet die zu deaktivierenden Warnungen in einer durch Kommata getrennten Liste auf. Die Warnungen ascii und intcurrsym werden unterstützt.

--posix
    Strikt konformes Verhalten zu POSIX. Bedingt --verbose. Gegenwärtig hat diese Option keine andere Auswirkung. POSIX-konformes Verhalten wird angenommen, falls die Umgebungsvariable POSIXLY_CORRECT gesetzt ist.

--prefix=Pfadname
    Setzt das Präfix, das dem vollständigen Archiv-Pfadnamen vorangestellt werden soll. Standardmäßig ist das Wurzelverzeichnis leer. Bei Setzen des Präfix auf Beispiel würde das Archiv unter Beispiel/usr/lib/locale/locale-archive platziert werden.

--quiet
    Unterdrückt alle Benachrichtigungen und Warnungen und gibt nur fatale Fehler aus.

--replace
    Ersetzt eine Locale in der Locale-Archivdatei. Ohne diese Option tritt ein Fehler auf, falls die Locale bereits in der Archivdatei vorhanden ist.

--warnings=Warnungen
    Listet die zu aktivierenden Warnungen in einer durch Kommata getrennten Liste auf. Die Warnungen ascii und intcurrsym werden unterstützt.

-?, --help
    Gibt eine Verwendungsübersicht aus und beendet sich. Gibt auch die Pfade aus, die standardmäßig von localedef verwendet werden.

--usage
    gibt eine kurze Aufrufzusammenfassung aus und beendet das Programm.

-V, --version
    Gibt die Versionsnummer, die Lizenz und den Haftungsausschluss von localedef aus.

EXIT-STATUS
Einer der folgenden Exit-Werte kann von localedef zurückgegeben werden.

    0   Der Befehl schloss erfolgreich ab.

    1   Warnungen oder Fehler traten auf, Ausgabedateien wurden geschrieben.

    4   Fehler traten auf, es wurde keine Ausgabe erzeugt.

UMGEBUNGSVARIABLEN

POSIXLY_CORRECT
    Der Schalter --posix wird angenommen, falls diese Umgebungsvariable gesetzt ist.

I18NPATH
    Eine Liste von Suchverzeichnissen, die durch Doppelpunkte getrennt werden, für Dateien.

DATEIEN

/usr/share/i18n/charmaps
    Gewöhnlicher Standardpfad der Zeichenbelegungen.

/usr/share/i18n/locales
    Gewöhnlicher Standardpfad der Locale-Definitionsdateien.

/usr/share/i18n/repertoiremaps
    Gewöhnlicher Standardpfad der Vorratsabbildungen.

/usr/lib/locale/locale-archive
    Gewöhnlicher Standardort des Locale-Archivs.

/usr/lib/locale
    Gewöhnlicher Standardpfad für einzelne kompilierte Locale-Datendateien.

Ausgabepfad/LC_ADDRESS
    Eine Ausgabedatei, die Informationen über die Formatierung von Adressen und Elementen mit geographischem Bezug enthält.

Ausgabepfad/LC_COLLATE
    Eine Ausgabedatei, die Informationen über die Regeln für das Vergleichen von Zeichenketten enthält.

Ausgabepfad/LC_CTYPE
    Eine Ausgabedatei, die Informationen über Zeichenklassen enthält.

Ausgabepfad/LC_IDENTIFICATION
    Eine Ausgabedatei, die Metadaten über die Locale enthält.

Ausgabepfad/LC_MEASUREMENT
    Eine Ausgabedatei, die Informationen über Maßeinheiten der Locale enthält (metrischen gegenüber den in den USA gebräuchlichen).

Ausgabepfad/LC_MESSAGES/SYS_LC_MESSAGES
    Eine Ausgabedatei, die Informationen über die Sprache, in der Meldungen ausgegeben werden sollen, und wie eine zustimmende oder ablehnende Antwort aussieht, enthält.

Ausgabepfad/LC_MONETARY
    Eine Ausgabedatei, die Informationen über die Formatierung von Geldbeträgen enthält.

Ausgabepfad/LC_NAME
    Eine Ausgabedatei, die Informationen über Grußformeln an Personen enthält.

Ausgabepfad/LC_NUMERIC
    Eine Ausgabedatei, die Informationen über die Formatierung nicht-monetärer nummerischer Werte enthält.

Ausgabepfad/LC_PAPER
    Eine Ausgabedatei, die Informationen über Einstellungen mit Bezug zur Standardpapiergröße enthält.

Ausgabepfad/LC_TELEPHONE
    Eine Ausgabedatei, die Informationen über Formate für die Verwendung mit Telefondiensten enthält.

Ausgabepfad/LC_TIME
    Eine Ausgabedatei, die Informationen über die Formatierung von Werten zu Datum und Uhrzeit enthält.

KONFORM ZU
POSIX.1-2008.

BEISPIEL
Kompiliert die Locale-Dateien für Finnisch im Zeichensatz UTF-8 und fügt sie dem standardmäßigen Locale-Archiv unter dem Namen fi_FI.UTF-8 hinzu:

    localedef -f UTF-8 -i fi_FI fi_FI.UTF-8

Das nächste Beispiel tut dasselbe, aber generiert die Dateien in ein Verzeichnis fi_FI.UTF-8, welches dann von Programmen verwandt werden kann, wenn die Umgebungsvariable LOCPATH auf das aktuelle Verzeichnis gesetzt ist (beachten Sie, dass das letzte Argument einen Schrägstrich enthalten muss):

    localedef -f UTF-8 -i fi_FI ./fi_FI.UTF-8

SIEHE AUCH
locale(1), charmap(5), locale(5), repertoiremap(5), locale(7)

KOLOPHON
Diese Seite ist Teil der Veröffentlichung 5.05 des Projekts Linux-man-pages. Eine Beschreibung des Projekts, Informationen, wie Fehler gemeldet werden können sowie die aktuelle Version dieser Seite finden sich unter https://www.kernel.org/doc/man-pages/.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Florian Rehnisch <fr@fm-r.eu> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.